# babel-plugin-jsx-inject-mi2 [![CircleCI](https://img.shields.io/circleci/project/hrgdavor/babel-plugin-jsx-inject-mi2.svg?maxAge=2592006)](https://circleci.com/gh/hrgdavor/babel-plugin-jsx-inject-mi2)

> Babel plugin to inject JSX or HTML from external file.

Combined with [babel-plugin-jsx-mi2](https://github.com/hrgdavor/babel-plugin-jsx-mi2)
and ([babel-plugin-translate-mi2](https://github.com/hrgdavor/babel-plugin-translate-mi2) / 
[babel-plugin-jsx-translate](https://github.com/hrgdavor/babel-plugin-jsx-translate))

# Usage

Used with babel by adding plugin to `.babelrc`
```json
{
    plugins: ["jsx-inject-mi2"]
}
```


The plugin replaces occurrence of an `return <template/>` statement with JSX from external file.

If you jou have a file `sample.js` with:

```js
//...
    function myFunc(h){
        return <template/>
    }
//...
```

and template file `sample.tpl` in the same folder

```js
<div>
    <h1>Title</h1>
    <p>{state.text}</p>
</div>
```

the `sample.tpl` will be injected in the `sample.js` resulting in something like this

```js
//...
    function myFunc(h){
        return <div>
            <h1>Title</h1>
            <p>{state.text}</p>
        </div>
    }
//...
```

# arrow expression

it is good to know that for purpose of catching a return statement, an arrow expression like:

```js
applyHtml( h=><template/> );
```

is pretty much the same (except of arrow expression scoping) as:

```js
applyHtml( function(h){ return <template/>;} );
```
